%define upstream_name    Fennec-Lite
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Minimalist Fennec, the commonly used bits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Fennec/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
the Fennec manpage does a ton, but it may be hard to adopt it all at once.
It also is a large project, and has not yet been fully split into component
projects. Fennec::Lite takes a minimalist approach to do for Fennec what
Mouse does for Moose.

Fennec::Lite is a single module file with no non-core dependencies. It can
easily be used by any project, either directly, or by copying it into your
project. The file itself is less than 300 lines of code at the time of this
writing, that includes whitespace.

This module does not cover any of the more advanced features such as result
capturing or SPEC workflows. This module only covers test grouping and
group randomization. You can also use the FENNEC_ITEM variable with a group
name or line number to run a specific test group only. Test::Builder is
used under the hood for TAP output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-8.mga6
+ Revision: 1027277
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-7.mga6
+ Revision: 949270
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.4.0-6.mga5
+ Revision: 789387
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 739430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 684703
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 511481
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 367141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - imported package perl-Fennec-Lite


* Sat Aug 20 2011 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
